WP_Upgrader::generic_strings()publicWP 2.8.0

Adds the generic strings to WP_Upgrader::$strings.

Method of the class: WP_Upgrader{}

No Hooks.

Return

null. Nothing (null).

Usage

$WP_Upgrader = new WP_Upgrader();
$WP_Upgrader->generic_strings();

Changelog

Since 2.8.0 Introduced.

WP_Upgrader::generic_strings() code WP 6.5.3

public function generic_strings() {
	$this->strings['bad_request']    = __( 'Invalid data provided.' );
	$this->strings['fs_unavailable'] = __( 'Could not access filesystem.' );
	$this->strings['fs_error']       = __( 'Filesystem error.' );
	$this->strings['fs_no_root_dir'] = __( 'Unable to locate WordPress root directory.' );
	/* translators: %s: Directory name. */
	$this->strings['fs_no_content_dir'] = sprintf( __( 'Unable to locate WordPress content directory (%s).' ), 'wp-content' );
	$this->strings['fs_no_plugins_dir'] = __( 'Unable to locate WordPress plugin directory.' );
	$this->strings['fs_no_themes_dir']  = __( 'Unable to locate WordPress theme directory.' );
	/* translators: %s: Directory name. */
	$this->strings['fs_no_folder'] = __( 'Unable to locate needed folder (%s).' );

	$this->strings['download_failed']      = __( 'Download failed.' );
	$this->strings['installing_package']   = __( 'Installing the latest version…' );
	$this->strings['no_files']             = __( 'The package contains no files.' );
	$this->strings['folder_exists']        = __( 'Destination folder already exists.' );
	$this->strings['mkdir_failed']         = __( 'Could not create directory.' );
	$this->strings['incompatible_archive'] = __( 'The package could not be installed.' );
	$this->strings['files_not_writable']   = __( 'The update cannot be installed because some files could not be copied. This is usually due to inconsistent file permissions.' );

	$this->strings['maintenance_start'] = __( 'Enabling Maintenance mode…' );
	$this->strings['maintenance_end']   = __( 'Disabling Maintenance mode…' );

	/* translators: %s: upgrade-temp-backup */
	$this->strings['temp_backup_mkdir_failed'] = sprintf( __( 'Could not create the %s directory.' ), 'upgrade-temp-backup' );
	/* translators: %s: upgrade-temp-backup */
	$this->strings['temp_backup_move_failed'] = sprintf( __( 'Could not move the old version to the %s directory.' ), 'upgrade-temp-backup' );
	/* translators: %s: The plugin or theme slug. */
	$this->strings['temp_backup_restore_failed'] = __( 'Could not restore the original version of %s.' );
	/* translators: %s: The plugin or theme slug. */
	$this->strings['temp_backup_delete_failed'] = __( 'Could not delete the temporary backup directory for %s.' );
}